Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 993034 - CVE-2013-4852 putty: Integer overflow, leading to heap-based buffer overflow during SSH handshake [epel-all]
Summary: CVE-2013-4852 putty: Integer overflow, leading to heap-based buffer overflow ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: putty
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark Chappell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=bvincent
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-05 13:02 UTC by Jan Lieskovsky
Modified: 2014-10-17 17:40 UTC (History)
5 users (show)

Fixed In Version: putty-0.63-3.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 17:37:45 UTC
Type: ---


Attachments (Terms of Use)
Proposed fix CVE-2013-4852 (1.25 KB, patch)
2013-08-05 14:25 UTC, Jaroslav Škarvada
no flags Details | Diff
Proposed fix CVE-2013-4206 (2.86 KB, patch)
2013-08-08 11:56 UTC, Jaroslav Škarvada
no flags Details | Diff
Proposed fix CVE-2013-4207 (664 bytes, patch)
2013-08-08 11:57 UTC, Jaroslav Škarvada
no flags Details | Diff
Proposed fix CVE-2013-4208 (684 bytes, patch)
2013-08-08 11:57 UTC, Jaroslav Škarvada
no flags Details | Diff

Description Jan Lieskovsky 2013-08-05 13:02:19 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Jan Lieskovsky 2013-08-05 13:02:32 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=993031,993034

Comment 2 Jaroslav Škarvada 2013-08-05 14:25:28 UTC
Created attachment 782849 [details]
Proposed fix CVE-2013-4852

I resolved this in Fedora, but I cannot resolve this in EPEL, because I do not have commit rights there. I applied for them. If you give me the rights I can handle it all for you.

Comment 3 Jaroslav Škarvada 2013-08-08 11:56:34 UTC
Created attachment 784322 [details]
Proposed fix CVE-2013-4206

Comment 4 Jaroslav Škarvada 2013-08-08 11:57:02 UTC
Created attachment 784324 [details]
Proposed fix CVE-2013-4207

Comment 5 Jaroslav Škarvada 2013-08-08 11:57:40 UTC
Created attachment 784325 [details]
Proposed fix CVE-2013-4208

Comment 6 Fedora Update System 2014-09-17 14:30:07 UTC
putty-0.63-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/putty-0.63-3.el5

Comment 7 Fedora Update System 2014-09-17 14:30:16 UTC
putty-0.63-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/putty-0.63-3.el6

Comment 8 Fedora Update System 2014-09-24 03:44:19 UTC
Package putty-0.63-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing putty-0.63-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2686/putty-0.63-3.el5
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-10-17 17:37:45 UTC
putty-0.63-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-10-17 17:40:05 UTC
putty-0.63-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.